#
# spec file for package intel-i810-Mesa (Version 6.4.2.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libdrm-devel libgcc libgssapi libmudflap libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel


Name:           intel-i810-Mesa
BuildRequires:  gcc-c++ libdrm-devel pkgconfig xorg-x11-devel
Url:            http://www.mesa3d.org
%define USE_EXTERNAL_MESA 1
ExcludeArch:    ia64 ppc ppc64 s390 s390x
License:        X11/MIT
Group:          System/Kernel
AutoReqProv:    on
Version:        6.4.2.2
Release:        1.4
Summary:        Updated Mesa driver for Intel 3D Graphics
Source:         Mesa-6.4.2-intel.tar.bz2
Source1:        missing-headers.tar.bz2
#Source2:        glidelibs-i386.tar.gz
#Source3:        README.updates
Patch:          Mesa-6.4.2.diff
Patch1:         Mesa-glx-x11-render-texture-2.diff
Patch2:         missing-headers.diff
Patch3:         GLw-motif.diff
Patch4:         osmesa.diff
Patch5:         static.diff
#Patch6:         Mesa_945GM.patch
Patch7:         glxext-sgi-hyperpipe.patch
#Patch8:         mesa-6.4.2-scissor-fix-1.patch
#Patch9:         mesa-6.4.2-dri-copy-sub-buffer-1.patch
Patch10:        Only_intel.diff	
Patch11:        mesa-6.4.2-dri-copy-sub-buffer-1.patch
Patch12:        dri-copy-sub-buffer-intel.diff
Patch13:        enable-compiz.diff
Patch14:        support-arb-tex-rect.diff
Patch15:        add-status-parameter.diff
Patch16:        copy-sub-buffer-i965.diff
Patch17:        fix-compiz-x86_64.diff
Patch18:        reenable-getstring-915.diff
Patch19:        Mesa-965GM.patch
Patch20:        Mesa_20070706.patch
Patch21:        mesa-bug336338.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Intel 3D graphics drivers for SLED10, based on Mesa 6.4.2.

The i915_dri.so driver supports the Intel(R) 855GM, 852GM, 915G, 915GM,
945G and 945GM chipsets.

The i965_dri.so driver supports the Intel(R) 946GZ, Q965 and G965
chipsets.



Authors:
--------
    Gregory J. Sharp
    Holger Waechtler <holger@akaflieg.extern.tu-berlin.de>
    Andre Werthmann <wertmann@cs.uni-potsdam.de>
    Ian Romanick <idr@us.ibm.com>
    Keith Whitwell <keith@tungstengraphics.com>
    Kevin E. Martin <martin@xfree86.org>
    Rickard E. Faith <faith@valinux.com>
    Alan Hourihane <alanh@fairlite.demon.co.uk>
    Kevin E. Martin <martin@xfree86.org>
    Rickard E. Faith <faith@valinux.com>

%debug_package
%prep
%if !%{USE_EXTERNAL_MESA}
%setup -n Mesa -a1
%else
%setup -n Mesa
%endif
# cleanup
find . -name CVS | xargs rm -rf
# no need to build GLUT and (GLUT-)Demos
rm -rf src/glut progs/{demos,redbook,samples,xdemos}
# we use freeglut
rm -f include/GL/{glut.h,uglglutshapes.h,glutf90.h}
%patch
%patch1
%if !%{USE_EXTERNAL_MESA}
%patch2
%endif
%patch3
cp configs/linux-osmesa16 configs/linux-osmesa
%patch4
cp configs/linux-osmesa configs/linux-osmesa-64
echo "LIB_DIR = \$(TOP)/lib64" >> configs/linux-osmesa-64
echo "EXTRA_LIB_PATH = -L/usr/X11R6/lib64" >> configs/linux-osmesa-64
%patch5
#%patch6 -p1
%patch7 -p1
#%patch8
#%patch9
# only compile i915 and the mesa static library required
%patch10 -p1
%patch11
%patch12 -p2
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p3
%patch21 -p3

%build
%ifarch %ix86
make linux-dri-x86 OPT_FLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -DDEFAULT_DRIVER_DIR='\"'/usr/X11R6/%{_lib}/modules/dri/updates:/usr/X11R6/%{_lib}/modules/dri'\"'"
%endif
%ifarch x86_64
make linux-dri-x86-64 OPT_FLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -DDEFAULT_DRIVER_DIR='\"'/usr/X11R6/%{_lib}/modules/dri/updates:/usr/X11R6/%{_lib}/modules/dri'\"'"
%endif

%install
%ifnarch s390 s390x ppc64
mkdir -p  $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/modules/dri/updates
### we want a -debuginfo package
#strip %{_lib}/*_dri.so 
install -m 755 %{_lib}/*_dri.so $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/modules/dri/updates
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%ifnarch s390 s390x
%dir /usr/X11R6/%{_lib}/modules
%dir /usr/X11R6/%{_lib}/modules/dri
%dir /usr/X11R6/%{_lib}/modules/dri/updates
/usr/X11R6/%{_lib}/modules/dri/updates
%endif

%changelog
* Wed Dec 19 2007 - sndirsch@suse.de
- mesa-bug336338.diff:
  * fixes Xgl crash (Bug #336338)
* Fri Jul 06 2007 - sndirsch@suse.de
- Mesa_20070706.patch:
  * Bearlake (G33/Q33/Q35) support
  * New SKUs (945GME/965GME/965GLE) support
* Tue Jul 03 2007 - sndirsch@suse.de
- Mesa_20070622.patch:
  * Intel BZ #99
  * Intel BZ #117
  * Intel BZ #152
  * Intel BZ #209
  * Freedesktop BZ #9791
  * Freedesktop BZ #8867
  * Freedesktop BZ #9045
* Fri Apr 27 2007 - sndirsch@suse.de
- bumped package version number to 6.4.2.1
* Thu Apr 19 2007 - sndirsch@suse.de
- Mesa-965GM.patch update:
  * adds one critical bugfix, which should also adress current Xgl
  issues
* Wed Apr 18 2007 - sndirsch@suse.de
- Mesa-965GM.patch:
  * support for 965GM (backported by Intel)
* Sat Mar 24 2007 - sndirsch@suse.de
- no longer strip .so files to fix creating of -debuginfo package
* Wed Dec 20 2006 - sndirsch@suse.de
- Intel Broadwater support (FATE #301419, Bug #173465)
* Mon Oct 16 2006 - german.monroy@intel.com
- fix-compiz-x86_64.diff
  * Ported upstream fix to bug 8277 (i965)
- reenable-getstring-915.diff
  * enable-compiz.diff was making i915 report extensions that it
  did not support
  * reported by Dave Reveman in bugzilla 173465 comment 140
* Wed Sep 27 2006 - german.monroy@intel.com
- Xgl works but an issue remains in 64 bits (bug 8277 at freedesktop.org)
- copy-sub-buffer-i965.diff
  * Ported SLED10 GA's equivalent patch for i915 into i965
- support-arb-tex-rect.diff
  * Backported ARB_texture_rectangle from upstream for i965 (driver)
- add-status-parameter.diff
  * Backported ARB_texture_rectangle from upstream for i965 (mesa)
* Mon Sep 11 2006 - german.monroy@intel.com
- Updated description
* Mon Sep 11 2006 - sndirsch@suse.de
- No longer require openmotif for building
* Fri Sep 08 2006 - german.monroy@intel.com
- renamed Only_i915.diff to Only_intel.diff
  * Enabled i915... again!  since it seems to work with Xgl now
- renamed nice_try.diff to enable-compiz.diff
  * disabled i915GetString to let compiz run
- dri-copy-sub-buffer-intel.diff:
  * fixes missing function reference in
  mesa-6.4.2-dri-copy-sub-buffer-1.patch
* Mon Aug 14 2006 - sndirsch@suse.de
- Only_i915.diff:
  * disabled build of i915 DRI driver due to regressions with Xgl
- removed bogus self Provides
- mesa-6.4.2-dri-copy-sub-buffer-1.patch:
  * needed for open source drivers to work with Xgl (David Reveman)
- nice_try.diff:
  * convince compiz to start by adding a required extension
  ("Support for non power of two textures missing"); disabled for
  now due to different problems (Bug #173465)
- added some module dirs to filelist to fix build
* Tue Jul 18 2006 - german.monroy@intel.com
- stripped off symbols to reduce size
* Mon May 08 2006 - german.monroy@intel.com
- changed source to partial copy of Mesa
- TODO: remove unnecessary Sources
* Tue Apr 25 2006 - german.monroy@intel.com
- This rpm is based on Mesa-6.4.2-14.src.rpm
- Removed packages devel and devel-static
- Removed nvidia-related pre section
- Only_i915.diff: Less compilation by only compiling i915/ in dri/
- Removed debugpackage
- removed unnecesary stuff in build and install
- changed %%name by Mesa in prep (to rename the package)
- removed building of linux-static
- changed Provides and removed Obsoletes
- TODO: cut compilation time removing unnecesary compiles
- TODO: add dependency to a Mesa with updates/ folder OR
- TODO: be graceful about inexistent updates/
- TODO: find out why module is 12MB instead of 2.2MB
- TODO: add temporary feedback that right module was loaded (printk?)
- TODO: give better name to patch
- TODO: determine what ifarch's are required
* Thu Apr 13 2006 - sndirsch@suse.de
- added /usr/X11R6/%%{_lib}/modules/dri/updates/README.updates to
  document DRI driver update mechanism
* Wed Apr 12 2006 - sndirsch@suse.de
- enhanced search path for DRI driver updates (FATE #300553)
